---
title: "La plate-forme VirtIT"
date: 2018-06-03T21:33:20Z
description: "Explication de l'origine et des choix de la plate-forme VirtIT"
draft: false
---

## La philosophie de la plate-forme

VirtIT est une plate-forme qui a étais crée par moi-même lors de mon BTS et qui aujourd'hui est devenu une plate-forme de production qui avec les moyens financiers impliqué dans celle-ci, est plus que respectable.

Elle a était monté avec de l'influence de mon professeur de Système et Réseau de l'époque, qui plus tard sera mon employeur, avec les convictions suivantes :

* Le libre
* L'auto hébergement
* La sécurité

Mais aussi toutes ces solutions ont été monté par mes soins afin de profiter de toutes les connaissances que cela procure.

### Le libre

L'intégralité de l'infrastructure logicielle de la plate-forme est sous licence libre.

Ce choix à été justifié par les raisons suivantes :

* La gratuité : en effet, quand on est étudiant, l'argent est la plus grande contrainte.
* L'entraide : j'ai toujours été dans une optique collaborative.
* la sécurité : en cas de doute, je peux inspecter le code à la recherche de failles/backdoor.
* interopérabilité : si un jour, je veux changer de logiciel, je peux accéder au code afin de comprendre comment sont stockés les données.

### L'auto hébergement

Plutôt, que d'utiliser les infrastructures d'un hébergeur français ou international, j'ai pris le partie d'héberger chez moi presque toutes mes infrastructures.

Les raisons sont simples :

* Rapidité d'intervention
* Simplicité d'intervention
* Sécurité des données

Mais cela n'est pas sans coût, car je ne peux pas assurer avec mes maigres moyens une SLA de 99.9%.

### La sécurité

Critère que je considère fondamentale aujourd'hui et qui vous est offert quand vous accédez a cette plate-forme.

Tous les services sont à jour, support les algorithmes de chiffrement les plus sécurisé (à mon sens), mais aussi des mécanismes de sécurité 'Next-Level' (DNSSEC,DANE/TLSA,HPKP,HSTS,...).
