---
title: "Où est l'IPv6 ?"
date: 2018-07-26T22:00:00Z
draft: false
---

Belle question n'est-ce pas? 

Qu'es qui justifie un tel retard d'un technologie imaginé dans les années 90? 

## Son historique


Faisons un petit récapitulatif des dates clés de l'IPv6 :

* **1990 -** L'IETF entame les réflexions à propos de l'IPv6 suite a la crainte d'un épuisement des IPv4.

* **1996 -** Sortie du noyau 2.1.8 de Linux qui sera le premier à bénéficier de ce protocole afin de pouvoir monter 6bone, le premier réseau virtuel IPv6.

* **1998 -** Création de la RFC comprenant la majorité des spécifications techniques de l'IPv6 encore en vigueur.

* **2001 -** Intégration de l'IPv6 dans les routeurs CISCO

* **2002 -** Intégration a des fins de test de l'IPv6 dans Windows XP/2003.

* **2003 -** Intégration de l'IPv6 dans OS X activé par défaut.

* **2004 -** Premiers déploiement de les IPv6 sur les enregistrements TLD (.kr, .jp et .fr )

* **2007 -** Intégration de l'IPv6 dans Windows Vista activé par défaut ainsi de la technologie Teredo.

* **2008 -** IANA déploie de l'IPv6 sur 6 des serveurs DNS racine.

* **2012 -** OVH devient compatible IPv6
* **2015 -** SFR propose l'IPv6 aux particuliers via une option dans la box.

* **2016 -** Orange déploie l'IPv6 aux particuliers de façon native sur certaines zones géographiques.

* **2017 -** IPv6 devient un standard IETF (enfin!)

* **2018 -** Le dernier /8 du RIPE a entièrement été attribué. Il ne reste donc qu'un /9 au RIPE d'IP récupéré, donc potentiellement listé sur des listes noirs. 

Les RIR estiment l'épuisement mondial de l'IPv4 pour 2020.

## Statistiques

Aujourd'hui, l'IPv6 n'est déployé qu'a environ 20% chez les utilisateurs comme le démontre [Google](https://www.google.com/ipv6) ou [Facebook](https://www.facebook.com/ipv6/?tab=ipv6_country), ce qui est trop peu au vu des estimations. 

Parmi les 500 sites les plus visités, environ 30% ont des entrées IPv6, mais 23% d'entre répondent aux requêtes HTTP/HTTPS ce qui est aussi trop peu.

Et coté GAFAM :

* Amazon : a priori pas d'IPv6
* Google : totalement compatible IPv6
* Apple : partiellement IPv6
* Microsoft : partiellement IPv6
* Facebook : totalement compatible IPv6

Donc parmis les 5 plus grand fournisseurs de services, moins de la moitier assure une connectivité IPv6 sur l'intégralité de leurs services.

## Pourquoi tant de retard ?

Toujours les trois mêmes problèmes :

### Qui commence le déploiement :

Pourquoi déployer de l'IPv6 aux particuliers si ils n'y a pas de services en IPv6  ou qu'ils peuvent utiliser Teredo pour les rares exceptions?

Pourquoi fournir de l'IPv6 sur mon site web vu que personne ne l'utilise?

Ces deux questions, je les entends à chaque fois de je pose la question de "Pourquoi pas d'IPv6?". Et malheureusement, cette question ne dépend malheureusement que des grands acteurs qui doivent investir du temps, ainsi que pour certains, des équipements compatibles afin de pouvoir proposer ce protocole.

### La non-maitrise d'IPv6 :

Celle-ci s'accompagne souvent du "L'IPv6 n'est pas sécurisé, vu que tout est publique".

Et là, je mets en cause les Administrateurs séniors qui ne veulent pas suivre les évolutions technologies car ont leur a toujours dit que c’était compliqué, alors que c'est "une IPv4 avec 96 bits de plus".

Malheureusement les cours IPv6 sont plutôt rares/chers, et les explications sur Internet le sont aussi.

### Le FAI ne le propose pas :

Je l'ai déjà entendu ce discours et c'est malheureusement vrai.

Déjà que l'IPv6 est rare pour les particuliers, pour les TPE/PME c'est encore pire. Les opérateurs locaux ont un vrai retard technologique, et leurs clients préfèrent la simplicité aux fonctionnalités "superflue" comme l'indique le premier point.

## Et donc, que faire pour améliorer ?

Ma plus grande tristesse est de se balader sur Google en IPv6 only, et de cliquer sur les liens d'un résultat de recherches. Quel triste de voir qu'a peine 1/10 sites répondent en IPv6.

La meilleure manière d'accélérer le déploiement, c'est d'y participer ! 

#### Si vous êtes utilisateurs :

Activer si vous le pouvait l'IPv6 sur votre box.

#### Si vous hébergez chez vous :

Utilisait si vous le pouvait le préfix fournit par votre opérateur, ou un tunnel brocker.

#### Si vous hébergez dans datacenter :

Les grands hébergeurs type Online/OVH vous fournissent de l'IPv6, c'est à vous de la configurer.
